\name	{xcf}
\class	{txtDisp}
\parent	{}
\script	{
	switch (arg[0]) {
	case "init":
	break;
	case "buttonPress":
	break;
	}
	usual();
/*\font {usual_largest}
 \content {the MOTD is:\s(x = 1 + 8;)End}
*/
}
\content {
	Do you like writing imaginative and useful software? Do you
enjoy working on longer-term projects than you are assigned in your
classes? Do you like to work with other people? Do you like rhetorical
questions? If you answer yes to any of most of the above questions,
you should consider joining the Experimental Computing Facility (XCF).

     The Experimental Computing Facility (XCF) is an EECS departmental
organization composed of students interested in computer science.  We
provide resources to individuals interested in undertaking programming
projects of moderate size, developing software for the campus and
world-wide computing environments, consulting for students and
faculty, and teaching classes for campus computer users.  Through
these activites, we hope to raise the general level of programming
skill, computer utility, and world peace.

	Now, more than ever, the XCF is looking for students with
creative project ideas.  If you have an idea for a piece of software
that you think is original and useful, we are interested in providing
you with the resources and support you need to produce it.  Drop by
199B Cory Hall and talk to one of the members about the particulars,
or drop us a line at xcf_projects@xcf.Berkeley.EDU.


	Sean Welch
	XCF director
	welch@xcf.berkeley.edu

		(via LattaNet)

\x()

\f(3)
XCF project ideas					

\f(2)

	This file describes suggested XCF projects, for the perusal
of potential projectees, etc. If you're interested in any of these
ideas, or have ideas of your own, please send email to xcf_projects@xcf.


Standard easy X-interface and start-up configuration
	design an easy window manager/w.m. config file for beginning users.
	design a suntools look-alike window manager and start-up script
	write a suntools compatibility library
	set up reasonable default X-resources files
		(which will serve also as a template)

A Music Notation System for X
	     This project would provide software for the  production
	of  music  scores.   One  would be able to use a workstation
	running X to draft scores  by  hand,  utilizing  an  object-
	oriented  graphical interface. This interface would probably
	be similar to "MacPaint", "idraw", etc.  Alternatively,  one
	could  load  in  Musical Instrument Digital Interface (MIDI)
	data and get it displayed, with  various  options  for  note
	quantization,  suppression  of  dynamic markings, etc. Then,
	one could modify this data graphically for display on termi-
	nal  or printer (probably in PostScript form), or retransla-
	tion into MIDI data.
				contact: Craig Latta

A Control and Data Flowcharter for C Source Files
     	       The goal of this project is to provide an application
	which will make clear the data and control flows of C source
	files. A clear, extendable protocol for producing  graphical
	and typographical output will be developed and used.
				contact: Craig Latta

Melvyl/Gladis client
	Provide a system to query the Melville and Gladis databases,
	including creating reference lists for later hard-copy printout
	or save to a regular file.  This would be a more efficient
	tool than the current "telnet gladis" interface.

SADT tools
	"SADT" stands for Structured Analysis and Design Technique,
	a system of graphically outlining a plan, or more specifically
	a program.  There are several books on structured analysis,
	and IEEE Computer or Spectrum had an issue on this a year or two
	back.  It's the next step beyond flowcharts.

Help and documentation database
	Design a database for holding documentation of all depths on any
	and all programs.  Design an 'oracle' to browse through this database,
	include a facility for message passing to/from other programs and for
	indexing and cross-referencing.
	The objective is for a help service to hold documentation, not
	individual programs -- this allows cross referencing.

Spreadsheet program (for X)
	Does one exist already? . . . and hardcopy output

Foreign language/multiple font terminal
	For use by, e.g., a Webster Database viewer, or
	for people interested in using French, German, or even
	Chinese/Japanese, etc..  This supposedly exists for Japanese ("Jterm").

The XCF X-Map Project  (Hobbes)
	X11 Client using the recent fast database
	Integrating with the existing postscript driver
	Update the postscript driver
	Document database and any network protocols.

Generic interface to previously existing programs
	Can a specification language be written to easily
	describe an interface to:
		dbx
		gdb
		sccs/rcs
		mush
	Note that an X interface for each of these will be very similar,
	There is some potential problems with buffering and asynchronos
	I/O.

X SCCS/RCS
	(Source code/revision control system)
	X interface to to the programs SCCS and RCS, if the previous
	project is too hard.

Structured SCCS/RCS
	(Source code/revision control system)
	Just a bit smarter version of each -- operate on directory structures

X Control Panel
	Ala MacIntosh, and for modifying your resource database

Visual Profilers
	both run-time and memory (with visual call-graph ?)
	See the more in-depth write-up on a visual memory profiler.

Network Databases
	Distributed Databases, A better alternative to yp/the
	nameserver -- security considerations.
	This project has many potential problems and needs more
	background than can be given here.
	[See "dap".  In fact, a project in itself would be to finish
	the dap protocol spec.  --Phil]

HPGL to X11
	"HPGL" is a graphics-terminal and plotter language written
	by HP.  This has likely been written, so check around at
	the local archives.

Mail compression/aging utility
	to keep archives, and to keep archives from growing too large
	interface to existing mail front ends (Mail, mh, mush).

Integrated Calendar/reminder program
	For both X and tty.
	Should be able to send mail to you x number of days in advance.
	See the "month" program.

Enhance the current calculator programs
	programmable, storage, check-book balancing
	for X, get rid of cute buttons?  something better than "xterm -e bc"
	This should really be quite straight-forward and useful.

Geometric Data Base Definition and Interface
	Combine data with locations on a plane or in three dimensions,
	and displaying the information in a screen.
	First example utility: browser for the periodic table of the elements.
	(more utilities should be thought of).

C Graphics framework library
	Library for doing bit-map blits, 3-D transforms, etc.
	The current toolkit does not get into graphics, just
	boxes and fonts.

Menu Language
	Given a textual description of menus, sub-menues, and combining
	equations, gather user input and produce a formatted output
	file (original inspiration was a materials use and pricing
	estimation utility, might also work for class scheduling).
	Might be good to have a compilers class.

Expanded bitmap editor
	Include facility for automatic rotations, color.
	There are many ideas here.

X11 Multi-term
	For instructors giving a demo to many people on separate
	machines.




}
\font {usual_medium}
\param {0 0 600 400 1 1 999 999}
\

